This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254820 - (php-firephp-firephp-core) Review Request: php-firephp-firephp-core - Traditional FirePHPCore library for sending PHP variables to the browser
Review Request: php-firephp-firephp-core - Traditional FirePHPCore library fo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 19:55 EDT by Shawn Iwinski
Modified: 2015-09-10 16:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.4.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-05 21:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (9.61 KB, text/plain)
2015-08-22 08:45 EDT, Remi Collet
no flags Details
review.txt (7.52 KB, text/plain)
2015-08-22 08:46 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2015-08-18 19:55:04 EDT
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/ca66707e00bb51d150d7dc73c9ed48dbcc0c12c1/php-firephp-firephp-core/php-firephp-firephp-core.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-firephp-firephp-core-0.4.0-1.fc22.src.rpm

Description:
FirePHP is an advanced logging system that can display PHP variables in the
browser as an application is navigated. All communication is out of band to
the application meaning that the logging data will not interfere with the
normal functioning of the application.


Fedora Account System Username: siwinski
Comment 1 Remi Collet 2015-08-22 08:45:41 EDT
Created attachment 1065824 [details]
phpci.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:09:02 CEST static analyze results
Comment 2 Remi Collet 2015-08-22 08:46:27 EDT
Created attachment 1065825 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Comment 3 Remi Collet 2015-08-22 08:47:02 EDT
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file README.md is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

  => README.md and each PHP files contain the fulll License text.
     This is enough to comply with MIT License terms.

     Upstream also add the LICENSE.txt file, so this will be part of next update. 

[!]: Spec file according to URL is the same as in SRPM.
     => Minor acceptable diff (spl not required, so github version is ok)


No Blocker.

=== APPROVED ===
Comment 4 Shawn Iwinski 2015-08-22 15:15:35 EDT
THANKS for the review!



New Package SCM Request
=======================
Package Name: php-firephp-firephp-core
Short Description: Traditional FirePHPCore library for sending PHP variables to the browser
Upstream URL: https://github.com/firephp/firephp-core
Owners: siwinski
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2015-08-23 17:38:26 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-08-24 15:18:22 EDT
php-firephp-firephp-core-0.4.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7771
Comment 7 Fedora Update System 2015-08-24 15:18:38 EDT
php-firephp-firephp-core-0.4.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14148
Comment 8 Fedora Update System 2015-08-24 15:18:51 EDT
php-firephp-firephp-core-0.4.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14149
Comment 9 Fedora Update System 2015-08-24 15:19:04 EDT
php-firephp-firephp-core-0.4.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14150
Comment 10 Fedora Update System 2015-08-24 15:19:16 EDT
php-firephp-firephp-core-0.4.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7772
Comment 11 Fedora Update System 2015-08-24 17:54:03 EDT
php-firephp-firephp-core-0.4.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-firephp-firephp-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14149
Comment 12 Fedora Update System 2015-08-24 17:56:35 EDT
php-firephp-firephp-core-0.4.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-firephp-firephp-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14148
Comment 13 Fedora Update System 2015-08-24 18:22:00 EDT
php-firephp-firephp-core-0.4.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-firephp-firephp-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14150
Comment 14 Fedora Update System 2015-08-25 00:20:59 EDT
php-firephp-firephp-core-0.4.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-firephp-firephp-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7771
Comment 15 Fedora Update System 2015-08-25 10:51:55 EDT
php-firephp-firephp-core-0.4.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-firephp-firephp-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7772
Comment 16 Fedora Update System 2015-09-05 21:10:55 EDT
php-firephp-firephp-core-0.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-09-06 00:50:10 EDT
php-firephp-firephp-core-0.4.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-09-06 02:20:39 EDT
php-firephp-firephp-core-0.4.0-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-09-06 13:06:03 EDT
php-firephp-firephp-core-0.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-09-10 16:27:37 EDT
php-firephp-firephp-core-0.4.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-09-10 16:34:26 EDT
php-firephp-firephp-core-0.4.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.